Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl.render.div
Class DivPortletRenderer

    java.lang.Object
      org.jboss.portal.theme.render.AbstractObjectRenderer
          org.jboss.portal.theme.impl.render.div.DivPortletRenderer

All Implemented Interfaces:
  ObjectRenderer, PortletRenderer

    public class DivPortletRenderer

extends AbstractObjectRenderer
implements PortletRenderer

Implementation of a Portlet renderer, based on div tags.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  `PortletRenderer`

Constructor Summary
`DivPortletRenderer()`

Method Summary
`void` | `render(RendererContext rendererContext, PortletRendererContext prc)` Render the markup of a portlet.

Methods inherited from class org.jboss.portal.theme.render.AbstractObjectRenderer
`endContext, startContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.theme.render.ObjectRenderer
`endContext, startContext`

Constructor Detail

### DivPortletRenderer

    public DivPortletRenderer()

Method Detail

### render

    public void render(RendererContext rendererContext,
                       PortletRendererContext prc)
                throws RenderException

  Description copied from interface: `PortletRenderer`
  Render the markup of a portlet.

  Note: this is not calling the portlet container to produce the markup. The markup has already been created. The PortletRenderer only places the markup on the page, and can gnerate some containing markup around it if it chooses to do so

  .

  Specified by:
    `render` in interface `PortletRenderer`
  Parameters:
    `rendererContext` - the state holder to provide information about the region, it's portlets, and the render set, which allows access to the other renderer interfaces of the render set.
  Throws:
    `RenderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD